/* PDF VIEWER */

body{
	background-color:#fcfcfc;
	margin:0;
	padding:0;

}

.zoom-viewport{
	overflow: visible !important;
}

.zoom-viewport .pdf-container{
	position:absolute;
	top:50%;
	left:50%;
	margin:auto;
}

.zoom-viewport .page{
	background-color:white;
	background-repeat:no-repeat;
	background-size:100% 100%;
}

.zoom-viewport .zoomer .region{
	display:none;
}

.pdf-file{
	position: relative;
}

.pdf-file .page{
	-webkit-box-shadow:0 0 20px rgba(0,0,0,0.2);
	-moz-box-shadow:0 0 20px rgba(0,0,0,0.2);
	-ms-box-shadow:0 0 20px rgba(0,0,0,0.2);
	-o-box-shadow:0 0 20px rgba(0,0,0,0.2);
	box-shadow:0 0 20px rgba(0,0,0,0.2);
}

.zoom-viewport .page img{
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	margin:0;
}

.pdf-file .even .gradient{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;

	background:-webkit-gradient(linear, left top, right top, color-stop(0.95, rgba(0,0,0,0)), color-stop(1, rgba(0,0,0,0.2)));
	background-image:-webkit-linear-gradient(left, rgba(0,0,0,0) 95%, rgba(0,0,0,0.2) 100%);
	background-image:-moz-linear-gradient(left, rgba(0,0,0,0) 95%, rgba(0,0,0,0.2) 100%);
	background-image:-ms-linear-gradient(left, rgba(0,0,0,0) 95%, rgba(0,0,0,0.2) 100%);
	background-image:-o-linear-gradient(left, rgba(0,0,0,0) 95%, rgba(0,0,0,0.2) 100%);
	background-image:linear-gradient(left, rgba(0,0,0,0) 95%, rgba(0,0,0,0.2) 100%);
}

.pdf-file .odd .gradient{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;

	background:-webkit-gradient(linear, right top, left top, color-stop(0.95, rgba(0,0,0,0)), color-stop(1, rgba(0,0,0,0.15)));
	background-image:-webkit-linear-gradient(right, rgba(0,0,0,0) 95%, rgba(0,0,0,0.15) 100%);
	background-image:-moz-linear-gradient(right, rgba(0,0,0,0) 95%, rgba(0,0,0,0.15) 100%);
	background-image:-ms-linear-gradient(right, rgba(0,0,0,0) 95%, rgba(0,0,0,0.15) 100%);
	background-image:-o-linear-gradient(right, rgba(0,0,0,0) 95%, rgba(0,0,0,0.15) 100%);
	background-image:linear-gradient(right, rgba(0,0,0,0) 95%, rgba(0,0,0,0.15) 100%);
}

.zoom-viewport .zoom-in .even .gradient,
.zoom-viewport .zoom-in .odd .gradient{

	display:none;

}

.zoom-viewport .shadow{
	-webkit-transition: -webkit-box-shadow 0.5s;
	-moz-transition: -moz-box-shadow 0.5s;
	-o-transition: -webkit-box-shadow 0.5s;
	-ms-transition: -ms-box-shadow 0.5s;

	-webkit-box-shadow:0 0 20px #ccc;
	-moz-box-shadow:0 0 20px #ccc;
	-o-box-shadow:0 0 20px #ccc;
	-ms-box-shadow:0 0 20px #ccc;
	box-shadow:0 0 20px #ccc;
}

.animated{
	-webkit-transition:margin-left 0.5s;
	-moz-transition:margin-left 0.5s;
	-ms-transition:margin-left 0.5s;
	-o-transition:margin-left 0.5s;
	transition:margin-left 0.5s;
}

.bottom{
	position:absolute;
	left:0;
	bottom:0;
	width:100%;
}

canvas{
	max-width: 100%;
	max-height: 100%;
}

/* CONTROLS */

.pdf-controls{
	list-style: none;
	display: inline-flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	padding: 0 20px;
	border-radius: 20px;
	background: rgba(0,0,0,0.61);
	justify-self: center;
	align-self: center;
	margin: 0 auto;
	box-shadow: 0 0 7px #444;
}

@media (max-width: 768px) {
	.pdf-controls{
		width: calc(100% - 40px);
	}
}

.pdf-controls li {
	padding: 8px 16px;
	font-size: 18px;
	color: white;
}

.pdf-controls li a:hover{
	color: yellow;
}

.pdf-controls li a{
	color: white;
	text-decoration: none;
	display: flex;
	justify-content: center;
	width: 24px;
	height: 24px;
}


/* MODAL */

.modal-open{
	overflow: hidden;
}

.modal{
	display: none;
	padding: 0;
	z-index: 200;
	transition: opacity 0.2s ease-out;
	opacity: 0;
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
}

@media (max-width: 768px) {
	.modal{
		padding: 0;
		width: 100%;
	}
}

.modal-open .modal.modal-active{
	opacity: 1;
	display: block;
}

.modal-content{
	background: #b5b5b5;
	background-image: url('pattern.png');
	padding: 20px 0;
	position: relative;
	border-radius: 0;
	outline: none;
	height: 100%;
}

@media (max-width: 768px) {
	.modal-content{
		border-radius: 0;
	}
}

@media (max-width: 768px) {
	.modal-body {
		overflow: scroll !important;
	}
}

.modal-close{
	position: absolute;
	right: 20px;
	border-radius: 50%;
	width: 40px;
	height: 40px;
	background: transparent;
	border: none;
	font-size: 32px;
	cursor: pointer;
	color: #444;
	z-index: 100;
}


@media (max-width: 768px) {
	.modal-close {
		font-size: 38px;
		width: 46px;
		height: 46px;
		top: 0;
		right: 0;
	}
}

.modal-close:hover, .modal-close:focus{
	background-color: rgba(0,0,0,.21);
	color: white;
	outline: none;
}

.modal-footer{
	position: fixed;
	bottom: 30px;
	display: block;
	left: 20px;
	width: calc(100% - 40px);
	text-align: center;
	z-index: 20;
}

/* LOADER */
.loader {
	border: 6px solid #f3f3f3;
	border-top: 6px solid #444;
	border-radius: 50%;
	width: 40px;
	height: 40px;
	animation: spin 1.3s linear infinite;
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	margin: auto;
}

@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}

.hide{
	display: none;
}


/* ICONS */
.icon{
	background: white;
	margin: auto;
}

.icon:hover,
.icon:focus {
	background: yellow;
}

.icon-download{
	mask: url('../icons/download.svg');
	mask-repeat: no-repeat;
	mask-size: contain;
	-webkit-mask: url('../icons/download.svg');
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
}
.icon-zoom-in{
	mask: url('../icons/zoom-in.svg');
	mask-repeat: no-repeat;
	mask-size: contain;
	-webkit-mask: url('../icons/zoom-in.svg');
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
}
.icon-zoom-out{
	mask: url('../icons/zoom-out.svg');
	mask-repeat: no-repeat;
	mask-size: contain;
	-webkit-mask: url('../icons/zoom-out.svg');
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
}
.icon-left{
	mask: url('../icons/left.svg');
	mask-repeat: no-repeat;
	mask-size: contain;
	-webkit-mask: url('../icons/left.svg');
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
}
.icon-right{
	mask: url('../icons/right.svg');
	mask-repeat: no-repeat;
	mask-size: contain;
	-webkit-mask: url('../icons/right.svg');
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
}
.icon-home{
	mask: url('../icons/home.svg');
	mask-repeat: no-repeat;
	mask-size: contain;
	-webkit-mask: url('../icons/home.svg');
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
}

@media (max-width: 768px) {
	.modal-footer{
		width: 100%;
		left: 0;
		bottom: 0;
	}

	.pdf-controls {
		border-radius: 0;
		padding: 8px 20px;
	}

	.pdf-controls li {
		font-size: 14px;
		white-space: nowrap;
		padding: 8px 0;
		flex: 1;
	}
}

@media (max-width: 768px) {
	.zoom-viewport .pdf-container{
		top: 24px;
		left: 0;
		max-width: 100%;
		position: relative;
	}

	.zoom-viewport .pdf-file{
		max-width: 100% !important;
		top: 0 !important;
		left: 0 !important;
		position: absolute !important;
	}
}